mod config;
mod msg;
mod notification;
mod pages;

use rocket::{launch, routes};

#[launch]
async fn rocket() -> _ {
    std::env::set_var("RUST_LOG", "info");
    std::env::set_var("RUST_BACKTRACE", "1");
    env_logger::init();

    let conf = config::Config::new();
    pages::bootstrap::cache_bootstrap().await;

    rocket::build()
        .mount(
            "/",
            routes![
                pages::assets::wallpaper,
                pages::assets::me_img,
                pages::assets::me_img_png,
                pages::bootstrap::bootstrap_css,
                pages::bootstrap::bootstrap_icons,
                pages::bootstrap::bootstrap_js,
                pages::bootstrap::bootstrap_font1,
                pages::bootstrap::bootstrap_font2,
                pages::index::message_post,
                pages::index::message_page,
                pages::index::mirrors,
                pages::index::public_key,
                pages::index::index
            ],
        )
        .manage(conf)
}
